'use strict';
angular.module('aom.directives')
  .directive('focusMe', function ($timeout, aomComponentsSrv) {
    return {
      link: function ($scope, element) {
        // Tracking needs this to not be fired inside the timeout
        $timeout(function () {
          element[0].focus();
          aomComponentsSrv.showKeyboard();
        }, 200);
      }
    };
  });