'use strict';
angular.module('aom.services')
  .factory('aomMediaPluginSrv', function ($q) {
    var mediaPlugin = {};
    
    mediaPlugin.getVideoInfo = function (path) {
      var q = $q.defer();
      AOMMedia.videoInfo(path,
        function (result) {
          q.resolve(result);
        }, function (err) {
          q.reject(err);
        });
      return q.promise;
    };

    return mediaPlugin;
  });