'use strict';
angular.module('aom.services')
  .factory('aomDevResourcesSrv', function ($http, aomResourcesSrv) {
    var devResources = {};

    devResources.init = function () {
      aomResourcesSrv.data.resources.ImageEditor.PleaseEnterSignature = 'Please enter your name here and sign below';
      aomResourcesSrv.data.resources.Jobs.Job = 'Job';
      aomResourcesSrv.data.resources.Jobs.Template = 'Template';
      aomResourcesSrv.data.resources.Job.Revert = 'Revert to Saved version';
      aomResourcesSrv.data.resources.v5.settings.Data.forEach((section, index) => {
        if (section.Title === 'General') {
          aomResourcesSrv.data.resources.v5.settings.Data[index].Children.forEach((setting, aIndex) => {
            if (setting.ResourceDataProperty && setting.ResourceDataProperty === 'PreventiOSFromSuspending') {
              delete aomResourcesSrv.data.resources.v5.settings.Data[index].Children[aIndex];
            }
          });
        }
      });
    };

    return devResources;
  });