angular.module('aom.services')
.factory('aomTrackingHelperSrv', function () {

  var trackingHelperSrv = {};

  trackingHelperSrv.generateMarkerObject = function (key, layer, lat, lng, message, opacity, colour, icontemplate) {
    return {
      layer: layer, 
      id: key, 
      lat: parseFloat(lat),
      lng: parseFloat(lng), 
      focus: false, 
      message: message, 
      opacity: opacity,
      icon: {
        type: 'dom',
        className: 'awesome-marker-shadow markercolour-' + colour,
        template: '<div><div class="marker"></div>' + icontemplate + '</div>',
        popupAnchor: [2, -7]
      }
    };

  };

  trackingHelperSrv.jobTemplate = function (job) {
    return '<div nav-transition="none" ng-click="openJob(job)"><div>' + job.Title + '</div></div>';
  };

  return trackingHelperSrv;
});