'use strict';
angular.module('aom.directives')
  .directive('aomNetworkCloud', function (aomNetworkSrv) {
    return {
      scope: {},
      link: function ($scope) {

        // The original code just set the $scope.data but this was unreliable, so added 
        // the explicit watch below which is updating the connection status correctly
        $scope.$watch(function() {
          return aomNetworkSrv.status;
        }, function(value) {
          $scope.data = {
            networkStatus: value
          };
        });

      },
      templateUrl: 'App/Components/NetworkConnectivity/networkCloud.html'
    };
  });